Skip to main content
GET
/
api2
/
v1
/
glossaries
/
{glossaryUid}
Get glossary
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid} \
  --header 'Authorization: <api-key>'
{
  "name": "<string>",
  "active": true,
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "dateCreated": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "internalId": 123,
  "langs": [
    "<string>"
  ],
  "owner": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "profileCount": 123,
  "profiles": [
    {
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "locked": true,
      "memsourceTranslate": {
        "args": {},
        "baseName": "<string>",
        "category": "<string>",
        "charCount": 123,
        "default_": true,
        "enabled": true,
        "glossarySupported": true,
        "id": "<string>",
        "includeTags": true,
        "langs": {
          "id": "<string>",
          "sourceLang": "<string>",
          "targetLangs": [
            "<string>"
          ]
        },
        "mtQualityEstimation": true,
        "name": "<string>",
        "type": "<string>",
        "uid": "<string>"
      },
      "name": "<string>",
      "uid": "<string>"
    }
  ],
  "uid": "<string>"
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

glossaryUid
string
required

Unique identifier of the glossary

Response

OK

name
string
required

Name of the glossary

active
boolean

Whether the glossary is active

createdBy
object
dateCreated
string<date-time>

Date and time when the glossary was created

id
string

Internal numeric identifier, encoded as a string

internalId
integer<int64>

Sequential numeric identifier of the glossary within the organization

langs
string[]

Language codes associated with the glossary

owner
object
profileCount
integer<int32>

Number of machine translation profiles linked to the glossary

profiles
object[]

Machine translation profiles linked to the glossary

uid
string

Unique identifier used in API paths